classification
Title: PEP 3121, 384 Refactoring applied to readline module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, pitrou, python-dev
Priority: normal Keywords: patch, pep3121

Created on 2012-08-16 20:03 by Robin.Schreiber, last changed 2016-03-22 02:30 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
readline_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 20:03
rl_pep3131.patch pitrou, 2013-07-31 19:50 review
Messages (6)
msg168405 - (view) Author: Robin Schreiber (Robin.Schreiber) * Date: 2012-08-16 20:03
Changes proposed in PEP3121 and PEP384 have now been applied to the readline module!
msg194011 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-07-31 19:50
Updated patch fixing a few issues (i.e. crashes). Reading the module state requires the GIL to be held, but it was taken too late when the hooks are called.
msg194012 - (view) Author: Roundup Robot (python-dev) Date: 2013-07-31 19:54
New changeset e4594c7dfeeb by Antoine Pitrou in branch 'default':
Issue #15699: The readline module now uses PEP 3121-style module initialization, so as to reclaim allocated resources (Python callbacks) at shutdown.
http://hg.python.org/cpython/rev/e4594c7dfeeb
msg194014 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-07-31 19:56
Now committed. Let's hope this doesn't break anything.
msg194018 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-07-31 21:09
Looks ok on the buildbots.
msg262157 - (view) Author: Roundup Robot (python-dev) Date: 2016-03-22 02:30
New changeset b5279feb22f1 by Martin Panter in branch '3.5':
Issue #15699: Reunite comment with variable
https://hg.python.org/cpython/rev/b5279feb22f1

New changeset 5c6a5b3bb6eb by Martin Panter in branch 'default':
Issue #15699: Merge readline fixup from 3.5
https://hg.python.org/cpython/rev/5c6a5b3bb6eb
History
Date User Action Args
2016-03-22 02:30:37python-devsetmessages: + msg262157
2013-07-31 21:09:28pitrousetstatus: open -> closed

messages: + msg194018
2013-07-31 19:56:25pitrousetresolution: fixed
messages: + msg194014
stage: resolved
2013-07-31 19:54:25python-devsetnosy: + python-dev
messages: + msg194012
2013-07-31 19:50:31pitrousetfiles: + rl_pep3131.patch

nosy: + pitrou
messages: + msg194011

keywords: + patch
2012-11-08 13:45:41Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-16 20:03:01Robin.Schreibercreate